﻿// Google Map Viewer JavaScript
// 【Google Mapのkey】 neo-tech-lab.com   : key=ABQIAAAAPee3oWK40Cu5_fyr9JRgrhRECouHsOKIT5wckN5ty3t6CGhHNhStCDf2RWhIr1giwkHl3QtrKFjbWA
// 【Google Mapのkey】 neo-tech-lab.co.uk : key=ABQIAAAArADsqu51GBOW_WJmnz_HrBTiQqpvRwPKKqFQTw2NNEMt3dDFSBRkPxj9ghFzW6oTf8LejGX0UABjIg
//  上のkeyを設定するのを忘れない事！
function load() {
  if (GBrowserIsCompatible()) {
    var map = new GMap2(document.getElementById("map"));
    map.addControl(new GLargeMapControl());
    map.addControl(new GMapTypeControl());
    map.addControl(new GScaleControl());
    map.setCenter(new GLatLng(38.64097,137.165953), 6); // 【初期座標を微調整】←(34.94097,135.765953)
    map.setMapType(G_HYBRID_MAP);
    map.enableDoubleClickZoom();
    map.enableScrollWheelZoom();
    map.enableContinuousZoom();

    function createMarker(point, number) {
      var marker = new GMarker(point);
      GEvent.addListener(marker, "click", function() { marker.openInfoWindowHtml("Marker #<b>" + number + "</b>"); } );
      return marker;
    }

    for (var i = 0; i < PositionData.count; i++) {
      if (PositionData.user[i].latitude!="Assumed MIL IP address") { 
        var point = new GLatLng(PositionData.user[i].latitude, PositionData.user[i].longitude);
        map.addOverlay(createMarker(point, i + 1));
      } 
    }
  }
}

// JavaScript Area End
